//---------------------------------------------------------------------------

#ifndef FrmVmsMsgFH
#define FrmVmsMsgFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ADODB.hpp>
#include <DB.hpp>
#include "CDSVmsCtlrF.h"
#include "FFBaseComponent.hpp"
#include "FFBasePlay.hpp"
#include "FFPlay.hpp"

//---------------------------------------------------------------------------
#define MAX_VMSPHASE    16

class TFrmVmsMsg : public TForm
{
__published:	// IDE-managed Components
    TTimer *TmrShow;
    TPanel *PnlVmsMsgDisp;
    TImage *ImgForm;
    TTimer *TmrDisp;
    TADOQuery *pADO;
    TPanel *PnlOffer;
    TFFPlayer *FFPlayer1;
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall TmrShowTimer(TObject *Sender);
    void __fastcall TmrDispTimer(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall FFPlayer1State(TObject *Sender, TPlayState APlayState);
private:	// User declarations
public:

    TVmsCtlr *FVmsObj;
    int       FDispIndex;
    int       FPhaseCnt;
    TImage   *FVmsImage[MAX_VMSPHASE];
    int       FInterval[MAX_VMSPHASE];
    int       FQryHour;
    int       FQryMin;

    void __fastcall ClearVmsForm();
    void __fastcall SetVmsForm();
    void __fastcall SelectVmsForm();

public:		// User declarations
    __fastcall TFrmVmsMsg(TComponent* Owner, TVmsCtlr *AObj);
};
//---------------------------------------------------------------------------
extern PACKAGE TFrmVmsMsg *FrmVmsMsg;
//---------------------------------------------------------------------------
#endif

